package de.laliluna.tutorial.validation.bean;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.ValidatorException;

/**
 * Bean Class MyBean
 */
public class MyBean {

	//properties
	private String var;

	
	//	getter and setter methods
	public String getVar() {
		return var;
	}
	public void setVar(String var) {
		this.var = var;
	}
	
	
	/**
	 * Validator Method
	 * (validate the name property)
	 * @param context
	 * @param input
	 */
	public void validateLength(FacesContext context, 
					UIComponent component, 
					Object input) throws ValidatorException {
		  
		  String var = (String)input;
		  
		  System.out.println(var.length());
		 
		  if(var.length() < 3){
			throw new ValidatorException(
						new FacesMessage("Length must be greater than 3", null));
		  }
	} 
}
