package de.laliluna.tutorial.validation.validator;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

/**
 * Validator Class EmailValidator
 */
public class LengthValidator implements Validator{

	/**
	 * Method validate
	 */
	public void validate(FacesContext context, 
						 UIComponent component, 
						 Object object) 
						 throws ValidatorException {
		
		String var = object.toString();
		
		if(var.length() < 3){
			throw new ValidatorException(
						new FacesMessage("Length must be greater than 3", null));
		}
			
		
	}
}
